Package ch.qos.logback.classic.spi

# Interface IThrowableProxy

All Known Implementing Classes:
  `ThrowableProxy`, `ThrowableProxyVO`

public interface IThrowableProxy

## Method Summary

Modifier and Type
Method
Description
`IThrowableProxy`
`getCause()`
`String`
`getClassName()`
`int`
`getCommonFrames()`
`String`
`getMessage()`
`StackTraceElementProxy[]`
`getStackTraceElementProxyArray()`
`IThrowableProxy[]`
`getSuppressed()`

## Method Details

### getMessage

String getMessage()

### getClassName

String getClassName()

### getStackTraceElementProxyArray

StackTraceElementProxy[] getStackTraceElementProxyArray()

### getCommonFrames

int getCommonFrames()

### getCause

IThrowableProxy getCause()

### getSuppressed

IThrowableProxy[] getSuppressed()